2025-09-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.14.1

2025-09-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.14.0

2025-01-06 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: added, prevent .la files

2024-08-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.13.3

2023-08-25 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.13.2

2023-06-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.13.1

2023-02-09 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.13.0
	* PRE_BUILD, 0001-fix-make-detection.patch: dropped, no need anymore

2023-01-15 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: drop pcre

2022-05-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.12.1
	* DEPENDS: added optional dependency on librsvg2

2022-04-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.12.0
	* BUILD, CONFIGURE: added OT-SVG knob

2021-12-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.11.1

2021-07-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.11.0

2020-10-24 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, 0001-fix-make-detection.patch: fix detection of make

2020-10-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.10.4
	  SECURITY_PATCH++; fixes CVE-2020-15999

2020-10-10 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 2.10.3

2020-05-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.10.2
	* DEPENDS: add brotli

2019-07-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.10.1, bz2 -> xz

2019-03-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.10.0

2018-05-21 Pavel Vinogradov <public@sourcemage.org>
	* BUILD: enabled building of freetype-config binary
	  (at least texlive needs that)

2018-05-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.9.1

2018-01-08 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.9
	* BUILD: case -> if

2017-10-16 Pavel Vinogradov <public@sourcemage.org>
	* BUILD: honor the defaults in ftoption.h and properly handle other
	  options of subpixel hinting

2017-09-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.8.1

2017-05-13 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.8, SECURITY_PATCH++,
	  (CVE-2017-8105, CVE-2017-8287)

2017-01-05 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add zlib, bzip2

2016-12-31 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.7.1

2016-09-09 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 2.7

2016-07-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 2.6.5
	* BUILD: () -> {} for function definitions,
	  if ... elif ... fi -> case ... esac

2016-07-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 2.6.4
	* BUILD, CONFIGURE: adde actual code to reflect user's choices,
	  removed FT2_FIR_FILTER, added subpixel hinting method choice

2016-03-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.3
	* BUILD: --disable-static, as it breaks build

2016-02-24 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS, BUILD: fix first time building

2015-11-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.2

2015-10-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.1
	* PRE_BUILD ft2build.patch: deleted

2015-05-31 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: made libpng optional; glib2 and pcre are required only if
	  it was built against harfbuzz with glib support

2015-05-25 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: remove SOURCEFORGE_URL usage (automated)

2015-01-31 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 2.5.5

2014-12-31 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: If harfbuzz support is requested, but harfbuzz was not built
	  with freetype support, disable harfbuzz since it'll fail.
	* DEPENDS: harfbuzz is optional, and freetype2 needs harfbuzz built with
	  freetype support to work, so how can it be required?!

2014-12-07 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: version 2.5.4, SECURITY_PATCH++,
	  yet another security fix for CVE-2014-2240

2014-09-09 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: added missing dependencies

2014-04-17 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.5.3; SECURITY_PATCH++ (CVE-2014-2240)

2014-02-11 Tommy Boatman <tboatman@sourcemage.org>
	* DEPENDS: libpng

2013-12-09 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.5.2
	* PRE_BUILD, ft2build.patch: updated

2013-06-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.5.0.1

2013-05-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.4.12

2012-12-22 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.4.11; SECURITY_PATCH++

2012-06-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.10

2012-03-09 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.9, SECURITY_PATCH=7

2011-11-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.8, SECURITY_PATCH=6, CVE-2011-3439

201-010-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.4.7, SECURITY_PATCH=5, CVE-2011-3256

2011-08-23 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: use gnu.gpg instead of freetype.gpg
	* freetype.gpg: removed, no longer needed

2011-07-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.6, SECURITY_PATCH=4, CVE-2011-0226

2011-06-26 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.4.5

2010-12-09 Vlad Glagolev <stealth@sourcemage.org>
	* CONFIGURE, PRE_BUILD: return back bytecode option, but make it 'y'
	  by default (TrueType hinting engine is configured in ftoption.h,
	  see modules.cfg)

2010-12-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.4

2010-10-04 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.3

2010-08-08 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.4.2; SECURITY_PATCH++

2010-07-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.4.1

2010-07-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.0
	* CONFIGURE, PRE_BUILD: removed BYTECODE option, defined by default now

2010-02-16 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: 2.3.12

2009-10-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.11

2009-10-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.10

2009-03-12 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.9, SOURCEFORGE_URL added, ftp.freetype.org removed

2009-01-14 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.3.8; cleaned up the spell

2008-06-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.3.7

2008-06-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.6, SECURITY_PATCH=2

2008-03-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: new url, moved to savannah

2007-07-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.3.5

2007-04-10 Elisamuel Resto <ryuji@mages.ath.cx>
	* DETAILS: version 2.3.4

2007-04-05 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: SECURITY_PATCH++, CVE-2007-1351, heap overflow in BDF font
	  handling

2007-04-05 Martin Spitzbarth <m.spitzbarth@gmx.de>
	* DETAILS: version 2.3.3

2007-03-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.3.2

2007-02-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* CONFIGURE, PRE_BUILD: added support for re-enabling subpixel
	  rendering, added support for forcing lcd fir filtering

2007-01-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.3.1

2007-01-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.3.0
	  convert to gpg checking

2006-11-18 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.2.1. Removed UPDATED.

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-01 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: removed
	* CONFIGURE: replaced by config_query, renamed option to FT2_BYTECODE
	* PRE_BUILD: added fixed sedit for bytecode interpreter (bug #10619)

2005-11-29 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512

2005-06-13 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 2.1.10
	* PRE_BUILD, g++.patch.bz2: remove patch, works fine without it now

2005-05-07 David Braaten <xiticix47@hotmail.com>
	* BUILD: bug 8623. added configuration to build. Thanks Seth.

2005-01-02 Eric Sandall <sandalle@sourcemage.org>
	* ft2build.patch: Include ft2build.h if it's not already
	* PRE_BUILD: Apply ft2build.patch

2004-12-14 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply g++ removal patch:
	* g++.patch.bz2: Remove g++ checks from configure, otherwise
	  this fails without g++ installed (stupid packagers!)

2004-07-13 Eric Sandall <sandalle@sourcemage.org>
	* WIP: Removed

2004-06-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.1.9
	  BUILD_API=2
	  Made SHORT shorter
	* BUILD: Converted to BUILD_API 2

2004-04-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.1.8 (perhaps this is fixed now?)
	  Removed MAINTAINER
	  Re-added SF mirror

2004-02-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update MD5, the tarball seems to have changed

2003-12-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.7
	  new URL
	* HISTORY: reformatted

2003-10-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 2.1.5

2003-04-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.1.4 (Bug #3215, thanks to Arwed)

2002-12-01 Unet <unet@sourcemage.org>
	* DETAILS: Added SOURCEFORGE_URL

2002-11-25 Unet <unet@sourcemage.org>
	* DETAILS: BUMP! version 2.1.3

2002-06-12 Unet <unet@sourcemage.org>
	* DETAILS: Created this.
